com.android.agf.database

## Class ComponentDataSource

- java.lang.Object
- - com.android.agf.database.ComponentDataSource

- All Implemented Interfaces:
    DataSource

      public class ComponentDataSource
      extends Object
      implements DataSource

  classe per accedir a la taula de components
  Author:
    albert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentDataSource(Context context)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` funcio per tancar la connecio amb la base de dades
    `void` | `delete(String nomId)` funcio per eliminar un registre de la taula
    `boolean` | `existElement(String nomId, String user)`
    `Cursor` | `getAllElements()` funcio per aconseguir tots els elements de la taula
    `Cursor` | `getAllElementsUsuari(String u)` funcio per obtenir un cursor amb tots els components disponibles per l'usuari
    `Cursor` | `getElement(String nomId)` funcio per aconseguir un element de la taula segons un identificador
    `Cursor` | `getElement(String nomId, String user)` funcio per aconseguir un cursor amb un component en concret
    `void` | `insert(ContentValues cv)` funcio per introduir un registre a la taula
    `void` | `open()` funcio per obrir una connexio amb la base de dades

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentDataSource

          public ComponentDataSource(Context context)

      constructor
      Parameters:
        `context` -

  - ### Method Detail

    - #### open

          public void open()
                    throws SQLException

      Description copied from interface: `DataSource`
      funcio per obrir una connexio amb la base de dades
      Specified by:
        `open` in interface `DataSource`
      Throws:
        `SQLException`

    - #### close

          public void close()

      Description copied from interface: `DataSource`
      funcio per tancar la connecio amb la base de dades
      Specified by:
        `close` in interface `DataSource`

    - #### insert

          public void insert(ContentValues cv)

      Description copied from interface: `DataSource`
      funcio per introduir un registre a la taula
      Specified by:
        `insert` in interface `DataSource`

    - #### delete

          public void delete(String nomId)

      Description copied from interface: `DataSource`
      funcio per eliminar un registre de la taula
      Specified by:
        `delete` in interface `DataSource`

    - #### getAllElements

          public Cursor getAllElements()

      Description copied from interface: `DataSource`
      funcio per aconseguir tots els elements de la taula
      Specified by:
        `getAllElements` in interface `DataSource`
      Returns:

    - #### getAllElementsUsuari

          public Cursor getAllElementsUsuari(String u)

      funcio per obtenir un cursor amb tots els components disponibles per l'usuari
      Parameters:
        `u` -
      Returns:

    - #### getElement

          public Cursor getElement(String nomId)

      Description copied from interface: `DataSource`
      funcio per aconseguir un element de la taula segons un identificador
      Specified by:
        `getElement` in interface `DataSource`
      Returns:

    - #### getElement

          public Cursor getElement(String nomId,
                          String user)

      funcio per aconseguir un cursor amb un component en concret
      Parameters:
        `nomId` -
        `user` -
      Returns:

    - #### existElement

          public boolean existElement(String nomId,
                             String user)